### Name: snowfall-init
### Title: Initialisation of cluster usage
### Aliases: sfInit sfStop sfParallel sfCpus sfNodes sfGetCluster sfSession
###   sfSetMaxCPUs
### Keywords: package

### ** Examples

## Not run: 
##D   # Run program in plain sequential mode.
##D   sfInit( parallel=FALSE )
##D   stopifnot( sfParallel() == FALSE )
##D   sfStop()
##D 
##D   # Run in parallel mode overwriting probably given values on
##D   # commandline. Hooks in running LAM cluster, if none is running,
##D   # snow is spawning one on localhost.
##D   sfInit( parallel=TRUE, nodes=10 )
##D   stopifnot( sfCpus() == 10 )
##D   stopifnot( sfParallel() == TRUE )
##D   sfStop()
##D 
##D   # Run in sfCluster-mode: settings are taken from commandline.
##D   sfInit()
##D 
##D   # Session-ID from sfCluster (or XXXXXXXX as default)
##D   session <- sfSession()
##D 
##D   # Calling a snow function: cluster handler needed.
##D   parLapply( sfGetCluster(), 1:10, exp )
##D 
##D   # Same using snowfall wrapper, no handler needed.
##D   sfLapply( 1:10, exp )
##D 
##D   sfStop()
## End(Not run)



